<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from rdataset_read.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="rdataset_read" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>rdataset_read</refname>
    <refpurpose>Reads a dataset from R</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [data,desc] = rdataset_read(dataset)
   [data,desc] = rdataset_read(datagroup,dataset)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>datagroup :</term>
      <listitem><para> string, containing the datagroup in which the dataset is located (default: "datasets")</para></listitem></varlistentry>
   <varlistentry><term>dataset :</term>
      <listitem><para>string, containing the dataset, must be located in datagroup</para></listitem></varlistentry>
   <varlistentry><term>data :</term>
      <listitem><para> a data structure containing the data from the file</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
The data variable has type struct and contains several fields.
The fields of the data structure are self-explanatory.
   </para>
   <para>
The first field is always a counter, which counts from 1 to N
   </para>
   <para>
All dots (.) in the header are replaced by underline (_). (e.g. survey$Wr.Hnd (from R) is in scilab data.Wr_Hnd)
   </para>
   <para>
quotation marks in all strings are removed ("Never" (from R) is in scilab just Never).
   </para>
   <para>
In desc the short descrition is available for the dataset.
   </para>
   <para>
The type of the field in the struct can either be constant or a string
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Read the dataset survey from MASS
[data,desc] = rdataset_read("MASS","survey")
// read description
disp(desc)
// read header of data
disp(data(1))
// Plot age over span of writing hand

plot(data.Age,data.Wr_Hnd,"bo")
xlabel("Age");ylabel("span of writing hand");

   ]]></programlisting>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>An archive of datasets distributed with R, https://github.com/vincentarelbundock/Rdatasets</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2013 - Holger Nahrstaedt</member>
   </simplelist>
</refsection>
</refentry>
